<?php

if($argv[1] != 'SAAS') {
    require __DIR__ . '/../autoloader.php';
    require __DIR__ . '/../vendor/autoload.php';
    require __DIR__ . '/../vendor/zeedhi/framework/bootstrap.php';

    /**
     * $argv[0] => Current file name: "genOAccCustom.php"
     * $argv[1] => Organization ID
     * $argv[2] => Mac Address
     */

    $instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();
    $instanceManager->loadFromFile(__DIR__ . '/../config/controllers.xml');
    $instanceManager->loadFromFile(__DIR__ . '/../config/services.xml');
    $instanceManager->loadFromFile(__DIR__ . '/../config/environment.xml');

    /** @var \Services\Login $loginService */
    $loginService = $instanceManager->getService('Services\Login');
    $loginService->genOAccCustom($argv[1], $argv[2]);
} else {
    echo "File not created. SaaS Organization!\n";
}